PropertyFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Class PropertyFactory

    java.lang.Object
      org.hibernate.tuple.PropertyFactory

    public class PropertyFactory

extends Object

Responsible for generation of runtime metamodel `Property` representations. Makes distinction between identifier, version, and other (standard) properties.

Constructor Summary
`PropertyFactory()`

Method Summary
`static IdentifierProperty` | `buildIdentifierProperty(EntityBinding mappedEntity, IdentifierGenerator generator)` Generates an IdentifierProperty representation of the for a given entity mapping.
`static IdentifierProperty` | `buildIdentifierProperty(PersistentClass mappedEntity, IdentifierGenerator generator)` Generates an IdentifierProperty representation of the for a given entity mapping.
`static StandardProperty` | `buildStandardProperty(AttributeBinding property, boolean lazyAvailable)` Generate a "standard" (i.e., non-identifier and non-version) based on the given mapped property.
`static StandardProperty` | `buildStandardProperty(Property property, boolean lazyAvailable)` Generate a "standard" (i.e., non-identifier and non-version) based on the given mapped property.
`static VersionProperty` | `buildVersionProperty(BasicAttributeBinding property, boolean lazyAvailable)` Generates a VersionProperty representation for an entity mapping given its version mapping Property.
`static VersionProperty` | `buildVersionProperty(Property property, boolean lazyAvailable)` Generates a VersionProperty representation for an entity mapping given its version mapping Property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyFactory

    public PropertyFactory()

Method Detail

### buildIdentifierProperty

    public static IdentifierProperty buildIdentifierProperty(PersistentClass mappedEntity,
                                                             IdentifierGenerator generator)

  Generates an IdentifierProperty representation of the for a given entity mapping.

  Parameters:
    `mappedEntity` - The mapping definition of the entity.
    `generator` - The identifier value generator to use for this identifier.
  Returns:
    The appropriate IdentifierProperty definition.

### buildIdentifierProperty

    public static IdentifierProperty buildIdentifierProperty(EntityBinding mappedEntity,
                                                             IdentifierGenerator generator)

  Generates an IdentifierProperty representation of the for a given entity mapping.

  Parameters:
    `mappedEntity` - The mapping definition of the entity.
    `generator` - The identifier value generator to use for this identifier.
  Returns:
    The appropriate IdentifierProperty definition.

### buildVersionProperty

    public static VersionProperty buildVersionProperty(Property property,
                                                       boolean lazyAvailable)

  Generates a VersionProperty representation for an entity mapping given its version mapping Property.

  Parameters:
    `property` - The version mapping Property.
    `lazyAvailable` - Is property lazy loading currently available.
  Returns:
    The appropriate VersionProperty definition.

### buildVersionProperty

    public static VersionProperty buildVersionProperty(BasicAttributeBinding property,
                                                       boolean lazyAvailable)

  Generates a VersionProperty representation for an entity mapping given its version mapping Property.

  Parameters:
    `property` - The version mapping Property.
    `lazyAvailable` - Is property lazy loading currently available.
  Returns:
    The appropriate VersionProperty definition.

### buildStandardProperty

    public static StandardProperty buildStandardProperty(Property property,
                                                         boolean lazyAvailable)

  Generate a "standard" (i.e., non-identifier and non-version) based on the given mapped property.

  Parameters:
    `property` - The mapped property.
    `lazyAvailable` - Is property lazy loading currently available.
  Returns:
    The appropriate StandardProperty definition.

### buildStandardProperty

    public static StandardProperty buildStandardProperty(AttributeBinding property,
                                                         boolean lazyAvailable)

  Generate a "standard" (i.e., non-identifier and non-version) based on the given mapped property.

  Parameters:
    `property` - The mapped property.
    `lazyAvailable` - Is property lazy loading currently available.
  Returns:
    The appropriate StandardProperty definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.